Name:           perl-Authen-Radius
Version:        0.32
Release:    1%{?dist}
Summary:        Provide simple Radius client facilities
License:        Artistic-2.0
URL:            https://metacpan.org/release/Authen-Radius
Source0:        https://cpan.metacpan.org/modules/by-module/Authen/Authen-Radius-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper) >= 1
BuildRequires:  perl(Data::HexDump) >= 0.02
BuildRequires:  perl(Digest::MD5) >= 2.20
BuildRequires:  perl(Exporter)
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(IO) >= 1.12
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Net::IP) >= 1.26
BuildRequires:  perl(strict)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(Config)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(Data::Dumper) >= 1
Requires:       perl(Data::HexDump) >= 0.02
Requires:       perl(Digest::MD5) >= 2.20
Requires:       perl(IO) >= 1.12
Requires:       perl(Net::IP) >= 1.26

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Data::Dumper\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Data::HexDump\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Digest::MD5\\)\\s*$
%global __requires_exclude %__requires_exclude|^perl\\(Net::IP\\)\\s*$

%description
The Authen::Radius module provides a simple class that allows you to
send/receive Radius requests/responses to/from a Radius server.

You can just authenticate usernames/passwords via Radius, or completely
imitate AAA requests and process server responses.

%prep
%setup -q -n Authen-Radius-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Authen/
%{_mandir}/man3/Authen::Radius.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32-1
- initial build
